Subject: Re: exim-4.50-1: SMTP sending fails with "Software caused connection abort"
From: Adrian Lanz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 14 Mar 2006 16:18:15 +0100

On 14 Jul 2005, [email-masked] wrote:

>
> [I sent this earlier this morning via gmane, but it has yet to reach
> the list. I apologize if a duplicate arrives later.]
>
> Using a very fresh Cygwin installation with exim-4.50-1, I am unable
> to send any outgoing messages over SMTP; exim's connection attempts
> fail with the reported error "Software caused connection abort".
>
> My exim.conf file is as of now unmodified from the default. Messages
> destined for remote hosts are successfully resolved to the proper
> router (dnslookup) and transport (remote_smtp). Running exim with
> "exim -qf -d" includes the following output:
>
> ,----[ 'exim -qf -d' Output ] | delivering IJLBTA-0002D0-O3 to
> mx4.mail.yahoo.com [68.142.202.11] ([email-masked]) |
> set_process_info: 2476 delivering IJLBTA-0002D0-O3 to
> mx4.mail.yahoo.com [68.142.202.11] ([email-masked]) |
> hosts_max_try limit reached with this host | Connecting to
> mx4.mail.yahoo.com [68.142.202.11]:25 ... failed: Software caused
> connection abort | LOG: MAIN | mx4.mail.yahoo.com [68.142.202.11]:
> Software caused connection abort | set_process_info: 2476 delivering
> IJLBTA-0002D0-O3: just tried mx4.mail.yahoo.com [68.142.202.11] for
> [email-masked]: result DEFER `----
>
> The connection fails and the outbound message is queued again for
> later delivery as expected. Testing so far reveals the same behavior
> for all remote hosts.
>
> The same problem arises whether I run exim interactively or as a
> daemon. When I do run exim as a daemon, I see the following entries
> in exim_panic.log, each corresponding to the 10-minute queue run
> period:
>
> ,---- | 2005-07-14 08:27:54 daemon: fork of queue-runner process
> failed: Resource temporarily unavailable `----
>
> Searching around before posting here, I found other problem reports
> with the string "Software caused connection abort" related to socket
> usage with other programs on other operating systems; I did not find
> any mention of exim or Cygwin.
>
> Is this a known problem? What additional information can I provide
> to help troubleshoot this problem?

Hi, I have the exactly same problem, and was not able to google a
solution. After quite some time of testing I found a (partial)
solution, which seems worth documenting in this list (also, it might
not be a Cygwin problem).

On my Windows 2000 system, the solution is to (temporarily) turn off
the On-Access VirsusScan (McAfee, ver. 8). Similar symptoms and a
failure for mail delivery occurs also using the smtpmail library under
Cygwins's Gnu Emacs and under Windows native EmacsW32 (CVS
version). Turning off virus scan, solves all these test cases.

No idea, however, what the real problem is ...

Thanks, Adrian.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/